--- title: "Get changeable node specification (G3)" slug: "ses-getserverspeclistforspecchange" updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/ses-getserverspeclistforspecchange" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get changeable node specification (G3) Available in VPC Get changeable server specifications for each node in a search engine cluster. Note This is a dedicated API for third-generation servers of the KVM hypervisor type. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/cluster/getServerSpecListForSpecChange/{serviceGroupInstanceNo} (Korea Region) | | POST | /api/sgn-v2/cluster/getServerSpecListForSpecChange/{serviceGroupInstanceNo} (Singapore Region) | | POST | /api/jpn-v2/cluster/getServerSpecListForSpecChange/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `computeInstanceProductCode` | String | Required | Node server type code - See [Get server type (G3)](/docs/en/ses-getserverspeclist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/getServerSpecListForSpecChange/1039*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "computeInstanceProductCode": "SVR.VELST.STAND.C002.M008.NET.SSD.B050.G003" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.managerNodeProductList` | Array | - | Manager node server type list - See [Server type information](/docs/en/ses-getserverspeclistforspecchange#%EC%84%9C%EB%B2%84%ED%83%80%EC%9E%85%EC%A0%95%EB%B3%B4) for descriptions of each field. | | `result.dataNodeProductList` | Array | - | Data node server type list - See [Server type information](/docs/en/ses-getserverspeclistforspecchange#%EC%84%9C%EB%B2%84%ED%83%80%EC%9E%85%EC%A0%95%EB%B3%B4) for descriptions of each field. | | `result.masterNodeProductList` | Array | - | Master node server type list - See [Server type information](/docs/en/ses-getserverspeclistforspecchange#%EC%84%9C%EB%B2%84%ED%83%80%EC%9E%85%EC%A0%95%EB%B3%B4) for descriptions of each field. | | `requestId` | String | - | ID for the request - UUID format | #### Server type information The following describes the server type information. | Field | Type | Required | Description | | --- | --- | --- | --- | | `serverSpecCode` | String | - | Server specification code | | `serverSpecTypeCode` | String | - | Server classification | | `serverSpecDescription` | String | - | Server description | | `productCode` | String | - | Server type code | | `hypervisorCode` | String | - | Hypervisor code | | `generationCode` | String | - | Server generation code | | `cpuArchitectureCode` | String | - | CPU architecture type | | `cpuCount` | Integer | - | Number of CPUs | | `memorySize` | Integer | - | Memory size (GB) | | `blockStorageMaxCount` | Integer | - | Maximum number of assignable storage | | `networkInterfaceMaxCount` | Integer | - | Maximum number of assignable network interfaces | | `zoneNoList` | Array | - | Zone number list | | `computeInstanceDetailTypeCode` | String | - | Detailed server type code | | `isChangeSpec` | Boolean | - | Whether server type can be changed - `true` \| `false` - `true`: changeable - `false`: not changeable | | `isSelected` | Boolean | - | Current usage status - `true` \| `false` - `true`: in use - `false`: not in use | | `memorySizeToBytes` | Integer | - | Memory size (byte) | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "managerNodeProductList": [ { "serverSpecCode": "elst.c2-g3", "serverSpecTypeCode": "HICPU", "serverSpecDescription": "[HICPU] vCPU 2EA, Memory 4GB", "productCode": "SVR.VELST.HICPU.C002.M004.NET.SSD.B050.G003", "hypervisorCode": "KVM", "generationCode": "G3", "cpuArchitectureCode": "X86_64", "cpuCount": 2, "memorySize": 4, "blockStorageMaxCount": 20, "networkInterfaceMaxCount": 3, "zoneNoList": [ 2, 3 ], "computeInstanceDetailTypeCode": null, "isChangeSpec": true, "isSelected": true, "memorySizeToBytes": 4294967296 }, ... ], "dataNodeProductList": [ { "serverSpecCode": "elst.c2-g3", "serverSpecTypeCode": "HICPU", "serverSpecDescription": "[HICPU] vCPU 2EA, Memory 4GB", "productCode": "SVR.VELST.HICPU.C002.M004.NET.SSD.B050.G003", "hypervisorCode": "KVM", "generationCode": "G3", "cpuArchitectureCode": "X86_64", "cpuCount": 2, "memorySize": 4, "blockStorageMaxCount": 20, "networkInterfaceMaxCount": 3, "zoneNoList": [ 2, 3 ], "computeInstanceDetailTypeCode": null, "isChangeSpec": true, "isSelected": true, "memorySizeToBytes": 4294967296 }, ... ], "masterNodeProductList": [ { "serverSpecCode": "elst.c2-g3", "serverSpecTypeCode": "HICPU", "serverSpecDescription": "[HICPU] vCPU 2EA, Memory 4GB", "productCode": "SVR.VELST.HICPU.C002.M004.NET.SSD.B050.G003", "hypervisorCode": "KVM", "generationCode": "G3", "cpuArchitectureCode": "X86_64", "cpuCount": 2, "memorySize": 4, "blockStorageMaxCount": 20, "networkInterfaceMaxCount": 3, "zoneNoList": [ 2, 3 ], "computeInstanceDetailTypeCode": null, "isChangeSpec": false, "isSelected": false, "memorySizeToBytes": 4294967296 }, ... ] }, "requestId": "5ca2eb64-****-****-****-3cb468f35f7a" } ```